bilibili 06
11 个接口
fetch user post videos v2fetch user profilefetch user relation statfetch user up statfetch video commentsfetch video danmakufetch video detailfetch video partsfetch video play infofetch video playurlfetch video subtitle
GETfetch user post videos v2
GET https://dkai.store/api/v1/bilibili/web/fetch_user_post_videos_v21 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_user_post_videos_v2?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user profile
GET https://dkai.store/api/v1/bilibili/web/fetch_user_profile1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_user_profile?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user relation stat
GET https://dkai.store/api/v1/bilibili/web/fetch_user_relation_stat1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_user_relation_stat?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user up stat
GET https://dkai.store/api/v1/bilibili/web/fetch_user_up_stat1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_user_up_stat?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch video comments
GET https://dkai.store/api/v1/bilibili/web/fetch_video_comments1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
bv_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_video_comments?bv_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch video danmaku
GET https://dkai.store/api/v1/bilibili/web/fetch_video_danmaku1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
cid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_video_danmaku?cid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch video detail
GET https://dkai.store/api/v1/bilibili/web/fetch_video_detail1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
aid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_video_detail?aid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch video parts
GET https://dkai.store/api/v1/bilibili/web/fetch_video_parts1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
bv_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_video_parts?bv_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch video play info
GET https://dkai.store/api/v1/bilibili/web/fetch_video_play_info1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
url | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_video_play_info?url=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch video playurl
GET https://dkai.store/api/v1/bilibili/web/fetch_video_playurl1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
bv_id | query | 必填 | |
cid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_video_playurl?bv_id=VALUE&cid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch video subtitle
GET https://dkai.store/api/v1/bilibili/web/fetch_video_subtitle1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
a_id | query | 必填 | |
c_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/bilibili/web/fetch_video_subtitle?a_id=VALUE&c_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。